import axios from 'axios'

const mapService = axios.create({
  // Vite默认不支持process
  // baseURL: process.env.VITE_BASE_URL,
  baseURL: 'https://restapi.amap.com/',
  timeout: 50000 // 请求超时
})

// 请求拦截器
mapService.interceptors.request.use(
  config => {
    config.headers['key'] = '19c4734ab21efe7e377bf9065c47d9b2'
    return config
  },
  error => {
    // 异常情况
    console.log(error)
    return Promise.reject(error)
  }
)

// 返回拦截器
mapService.interceptors.response.use(

  response => {
    const res = response.data

    // code不等于200的处理
    if (res.status != 1) {
      ElMessage({
        showClose: true,
        message: res.info,
        type: 'error'
      })

      return res
    } else {
      return res
    }
  },
  error => {
    console.log('err' + error)
    ElMessage({
      message: error.message,
      type: 'error',
      duration: 5 * 1000,
      plain:true
    })
    return Promise.reject(error)
  }
)

export default mapService
